%define modname memcache
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A43_%{modname}.ini

Summary:	Memcached extension for php
Name:		php-%{modname}
Version:	3.0.8
Release:	%mkrel 10
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/memcache
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
Source1:	%{modname}.ini
Source2:	connect.inc
Patch0:		fix_redefine.patch
Requires:	memcached
BuildRequires:	php-devel >= 3:5.2.1
BuildRequires:	zlib-devel
BuildRequires:	dos2unix

%description
Memcached is a caching daemon designed especially for dynamic web applications
to decrease database load by storing objects in memory. This extension allows
you to work with memcached through handy OO and procedural interfaces.

%prep

%setup -q -n %{modname}-%{version}

#Fix redefined IS_CALLABLE macro
%patch0 -p1

#Install connect.inc for tests
install -m 0644 %SOURCE2 tests/connect.inc

[ "../package.xml" != "/" ] && mv ../package.xml .

cp %{SOURCE1} %{inifile}

find . -type d -exec chmod 755 {} \;
find . -type f -exec chmod 644 {} \;

# strip away annoying ^M
find -type f | grep -v ".gif" | grep -v ".png" | grep -v ".jpg" | xargs dos2unix

ln -s %{_usrsrc}/php-devel/extensions ext

%build
%serverbuild

#Avoid warning: inline function 'xxx' declared but never defined with GCC 5
export CFLAGS="$CFLAGS -fgnu89-inline"

phpize
%configure2_5x --with-libdir=%{_lib} \
    --enable-%{modname}=shared,%{_prefix} \
    --with-zlib-dir=%{_prefix}

%make
mv modules/*.so .

%install

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m0755 %{soname} %{buildroot}%{_libdir}/php/extensions/
install -m0644 %{inifile} %{buildroot}%{_sysconfdir}/php.d/%{inifile}


%files 
%doc CREDITS README example.php package.xml
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}




%changelog
* Fri Oct 13 2017 rapsys <rapsys> 3.0.8-10.mga6
+ Revision: 1171638
- Add source and patch for php-memcache
- Add connect.inc for tests
  Increase release version
  Fix build with gcc5
  Avoid macro redefinition
- Try bump revision for undefined symbol: mmc_queue_remove in Unknown on line 0

* Fri Feb 12 2016 umeabot <umeabot> 3.0.8-8.mga6
+ Revision: 958431
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.0.8-7.mga5
+ Revision: 748571
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.0.8-6.mga5
+ Revision: 687161
- Mageia 5 Mass Rebuild

* Fri Apr 18 2014 oden <oden> 3.0.8-5.mga5
+ Revision: 616572
- rebuilt for php-5.6.0beta1

* Fri Jan 24 2014 pterjan <pterjan> 3.0.8-4.mga4
+ Revision: 567669
- Rebuild for new PHP

* Sat Oct 19 2013 umeabot <umeabot> 3.0.8-3.mga4
+ Revision: 527854
- Mageia 4 Mass Rebuild

* Thu Jun 13 2013 oden <oden> 3.0.8-2.mga4
+ Revision: 442686
- rebuilt for php-5.5.0RC3

* Fri May 24 2013 spuhler <spuhler> 3.0.8-1.mga4
+ Revision: 425781
- upgrade to 3.0.8
- some spec cleanup

* Wed Jan 30 2013 oden <oden> 3.0.7-3.mga3
+ Revision: 393309
- rebuilt for php-5.4.11

* Sun Jan 13 2013 umeabot <umeabot> 3.0.7-2.mga3
+ Revision: 375850
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 spuhler <spuhler> 3.0.7-1.mga3
+ Revision: 324278
- upgrade to 3.0.7

* Fri Aug 03 2012 spuhler <spuhler> 3.0.6-3.mga3
+ Revision: 278129
- rebuilt for php-5.4

* Mon Mar 19 2012 luigiwalser <luigiwalser> 3.0.6-2.mga2
+ Revision: 224168
- fix dos2unix syntax
- httpd restart is handled by filetriggers now

* Wed Apr 13 2011 tv <tv> 3.0.6-1.mga1
+ Revision: 84512
- new release

  + ennael <ennael>
    - clean spec file

* Sat Jan 29 2011 spuhler <spuhler> 3.0.5-5.mga1
+ Revision: 44364
- imported package php-memcache

